#! /bin/sh

srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.

ORIGDIR=`pwd`
cd $srcdir
echo aclocal -I admin
aclocal -I admin || exit 1
echo libtoolize --copy
libtoolize --copy || exit 1
echo autoconf
autoconf || exit 1
echo autoheader
autoheader || exit 1
echo automake --add-missing --copy --no-force
automake --add-missing --copy --no-force || exit 1
cd $ORIGDIR || exit $?

$srcdir/configure --enable-maintainer-mode "$@"
